claw::application Class Referenceabstract

A class to represent the application. More...

`#include <application.hpp>`

## Public Member Functions

| application (int &argc, char **&argv)
| Constructor.
virtual | ~application ()
| Destructor.
virtual int | run ()=0

## Protected Attributes

arguments_table | m_arguments
| The arguments passed by the system.

## Detailed Description

A class to represent the application.

The claw::application understand the following command line arguments :

- –log-file=string Sets the file in which the logs are written,
- –log-level=integer Sets the log level.

Author
  Julien Jorge

Definition at line 60 of file application.hpp.

## Constructor & Destructor Documentation

## application()

claw::application::application | ( | int & | argc,
|  | char **& | argv )

Constructor.

Parameters

  argc | Number of arguments to the program.
  argv | The arguments of the program.

The constructor removes from argv all supported arguments, and updates the value of argc.

Definition at line 58 of file application.cpp.

References claw_gettext, CLAW_MK_STR, claw::log_error, claw::log_verbose, claw::log_warning, claw::logger, and m_arguments.

## ~application()

claw::application::~application | ( |  | ) |

virtual

Destructor.

Definition at line 128 of file application.cpp.

References claw::logger.

## Member Data Documentation

## m_arguments

arguments_table claw::application::m_arguments

protected

The arguments passed by the system.

Definition at line 70 of file application.hpp.

Referenced by application().

The documentation for this class was generated from the following files:

- application.hpp
- code/application.cpp